// ==============================================================
//						   ProdConsModule
//
//						by Cristian Bontas
//
// ProdConsModule.cpp
// ==============================================================

#define ORBITER_MODULE

#include "orbitersdk.h"

class ProdConsModule: public VESSEL4 {
public:
	ProdConsModule (OBJHANDLE hVessel, int flightmodel);
	~ProdConsModule ();
	void clbkSetClassCaps (FILEHANDLE cfg);
	void ProdConsModule::clbkPostCreation();
	bool ProdConsModule::clbkDrawHUD (int mode, const HUDPAINTSPEC *hps, oapi::Sketchpad *skp);
	void ProdConsModule::clbkPreStep (double simt, double simdt, double mjd);
//	int ProdConsModule::clbkConsumeBufferedKey(DWORD key, bool down, char *kstate);

//	double ProdConsModule::getProdConsRes(int x, int y);

	double ProdConsModule::getProduction(int idx);
	double ProdConsModule::getTransfer(int idx);
	double ProdConsModule::getCapacity(int idx);
	double ProdConsModule::getRange(int idx);

	char* ProdConsModule::getProdConsResStr(int x);
	int ProdConsModule::getProdConsResCount();

private:
	int prodConsResCount;
//	double prodConsRes[10][4];

	double production[10];
	double transfer[10];
	double capacity[10];
	double range[10];
	double forTransfer[10];

	char prodConsResStr[10][32];
//	double totalTransfer[10];
//	double totalDiff[10];
//	double totalDiffForTransfer[10];
	char debug[256];

	double ProdConsModule::getDistance(VECTOR3 vec1, VECTOR3 vec2);
};